package ru.magistu.siegemachines.entity.projectile;


import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.item.Item;
import net.minecraft.world.level.Level;
import net.minecraft.world.phys.Vec3;
import ru.magistu.siegemachines.item.ModItems;

public class GiantStone extends Missile {
    public GiantStone(EntityType<GiantStone> entitytype, Level level) {
        super(entitytype, level);
        this.item = ModItems.GIANT_STONE.get();
    }

    public GiantStone(EntityType<GiantStone> entitytype, Level level, Vec3 pos, LivingEntity entity, Item item) {
        super(entitytype, level, pos, entity, MissileType.GIANT_STONE, item);
    }
}
